// HC-RS04 Ultransonic Ranging Module to ATtiny44 Microcontroller
// Arduino to Processing via FTDI

import processing.serial.*;
Serial myPort;  // set up serial port

void setup() {
  size(640, 480);  // set window size
  // println(Serial.list());  // list all available serial ports
  myPort = new Serial(this, "/dev/cu.usbserial-FTHC2NDN", 9600);    
  PFont font;  // load font
  font = loadFont("Helvetica-Bold-96.vlw"); 
  textFont(font); 
}

void draw() {
    while (myPort.available() > 0) {
    String data = myPort.readStringUntil('\n');  // get data via FTDI
    if (data != null) {
      // println(data);  // print raw input data
      float range = float(data) * 10;  // convert String to float and multiply   
      background(0, 0, 255);  stroke(255, 0, 0);     
      stroke(255, 255, 0);
      fill(255, 255, 0);
      rect(10, 10, range, 230);   
      textSize(96);
      textAlign(LEFT);
      text(data, 10, 470);  // display raw data in text
      textAlign(RIGHT);
      textSize(18);
      text("HC-RS04 Ultransonic Ranging Module", 630, 470);  // headline text
    }  
  }      
}
